Subject: [bug#77953] [PATCH] gnu: kitty: Fix build for Python update.

From: Roman Scherer <[email-masked]>
Date: Mon, 21 Apr 2025 14:59:49 +0200

Hi Sharlatan,

yes, I gave it a quick try, but wasn't successful. There were some
packages missing. I think I got an error about nerd fonts missing. This
isn't in Guix and I'm not sure it can, because of licenses. Do you know?

I'm also not too familiar with the Python eco-system.

Can we merge this or some variation of it for now? It is blocking most
of my systems to update Guix.

Thanks, Roman

Sharlatan Hellseher <[email-masked]> writes:

> Hi,
>
> Kitty in Guix is way too dated comparing to the Upstream, did you try to
> bump the version instead?
>
> 0.21.2 (2021-06-28) -> 0.41.1 (2025-03-28)
>
> https://github.com/kovidgoyal/kitty/releases/tag/v0.21.2
> https://github.com/kovidgoyal/kitty/releases/tag/v0.41.1